private-test-cloud
2.2510
true
Private Test Cloud API guide
- Getting started
- Authentication
- Scopes and permissions
- Platform Management APIs
API reference for deleting Robot accounts in Private Test Cloud, including endpoints, request fields, and responses.
Deletes multiple robot accounts from an organization, based on the organization ID.
API Endpoint
DELETE https://{yourDomain}/{organizationName}/identity_/api/RobotAccount/{partitionGlobalId}
Scopes
Requires the following scopes:
- PM.RobotAccount
- PM.RobotAccount.Write
Request Headers
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
Note:
To obtain the {access_token}, make sure to authenticate through one of the methods described in Authentication methods.
Path Parameters
| Path param | Data type | Description |
|---|---|---|
partitionGlobalId (required) | String | The ID of the organization you want to retrieve the robot accounts for. |
Request Body
The request body contains the list of robot accounts IDs you want to bulk delete from the organization.
{
"robotAccountIDs": [
"string",
"string"
]
}
{
"robotAccountIDs": [
"string",
"string"
]
}
Responses
200 OK
The indicated robot accounts are deleted from the organization.
Example Request
Let's say you gathered all the information needed to build the API call.
- Your
{baseURL}is:https://{yourDomain}/{organizationName}/identity_ - Your
{access_token}is:1234(for length considerations). - The
{partitionGlobalId}is:3fa85f64-5717-4562-b3fc-2c963f66afa6 - The robot accounts you want to delete have the following IDs:
- Bot1:
11-xy - Bot2:
22-tz
- Bot1:
The call should resemble the following example (cURL):
curl --location --request DELETE 'https://{yourDomain}/{organizationName}/identity_/api/RobotAccount/3fa85f64-5717-4562-b3fc-2c963f66afa6' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
--data-raw '{
"robotAccountIDs": [
"11-xy",
"22-tz"
]
}'
curl --location --request DELETE 'https://{yourDomain}/{organizationName}/identity_/api/RobotAccount/3fa85f64-5717-4562-b3fc-2c963f66afa6' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
--data-raw '{
"robotAccountIDs": [
"11-xy",
"22-tz"
]
}'